For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inTry it free
DocsGuidesSDKsIntegrationsAPI docsTutorialsFlagship blog
DocsGuidesSDKsIntegrationsAPI docsTutorialsFlagship blog
  • REST API overview
    • Access Tokens
    • Account Members
    • Account Usage Beta
      • GETGet AI runs usage
      • GETGet contexts clientside usage
      • GETGet contexts serverside usage
      • GETGet contexts total usage
      • GETGet data export events usage
      • GETGet evaluations usage
      • GETGet events usage
      • GETGet experimentation events usage
      • GETGet experimentation keys usage
      • GETGet MAU clientside usage
      • GETGet MAU SDKs by type
      • GETGet MAU total usage
      • GETGet MAU usage
      • GETGet MAU usage by category
      • GETGet observability errors usage
      • GETGet observability logs usage
      • GETGet observability metrics usage
      • GETGet observability sessions usage
      • GETGet observability traces usage
      • GETGet SDK versions usage details
      • GETGet service connections usage
      • GETGet stream usage
      • GETGet stream usage by SDK version
      • GETGet stream usage SDK versions
      • GETGet usage details for all SDK versions
      • GETGet Vega AI usage
    • AI Configs
    • Announcements
    • Applications Beta
    • Approvals
    • Approvals Beta
    • Audit Log
    • Code References
    • Contexts
    • Context Settings
    • Custom Roles
    • Data Export Destinations
    • Environments
    • Experiments
    • Feature Flags
    • Feature Flags Beta
    • Flag Import Configurations Beta
    • Flag Links Beta
    • Flag Triggers
    • Follow Flags
    • Holdouts Beta
    • Insights Charts Beta
    • Insights Deployments Beta
    • Insights Flag Events Beta
    • Insights Pull Requests Beta
    • Insights Repositories Beta
    • Insights Scores Beta
    • Integration Audit Log Subscriptions
    • Integration Delivery Configurations Beta
    • Integrations Beta
    • Layers
    • Metrics
    • Metrics Beta
    • OAuth2 Clients
    • Persistent Store Integrations Beta
    • Projects
    • Relay Proxy Configurations
    • Release Pipelines Beta
    • Releases Beta
    • Scheduled Changes
    • Segments
    • Tags
    • Teams
    • Teams Beta
    • Users
    • Users Beta
    • User Settings
    • Views Beta
    • Webhooks
    • Workflows
    • Workflow Templates
    • Other
Sign inTry it free
LogoLogo
REST API overviewAccount Usage Beta

Get MAU usage

Deprecated
GET
/api/v2/usage/mau
GET
/api/v2/usage/mau
$curl https://app.launchdarkly.com/api/v2/usage/mau \
> -H "Authorization: <apiKey>"
1{
2 "_links": {},
3 "metadata": [
4 {}
5 ],
6 "series": [
7 {
8 "0": 11,
9 "1": 15,
10 "time": 1677888000000
11 }
12 ]
13}
Get a time-series array of the number of monthly active users (MAU) seen by LaunchDarkly from your account. The granularity is always daily.<br/><br/>Endpoints for retrieving monthly active users (MAU) do not return information about active context instances. After you have upgraded your LaunchDarkly SDK to use contexts instead of users, you should not rely on this endpoint. To learn more, read [Account usage metrics](https://launchdarkly.com/docs/home/account/metrics).
Was this page helpful?
Previous

Get MAU usage by category

Next
Built with

Get a time-series array of the number of monthly active users (MAU) seen by LaunchDarkly from your account. The granularity is always daily.

Endpoints for retrieving monthly active users (MAU) do not return information about active context instances. After you have upgraded your LaunchDarkly SDK to use contexts instead of users, you should not rely on this endpoint. To learn more, read Account usage metrics.

Authentication

Authorizationstring
API Key authentication via header

Query parameters

fromstringOptionalformat: "string"
The series of data returned starts from this timestamp. Defaults to 30 days ago.
tostringOptionalformat: "string"
The series of data returned ends at this timestamp. Defaults to the current time.
projectstringOptionalformat: "string"
A project key to filter results to. Can be specified multiple times, one query parameter per project key, to view data for multiple projects.
environmentstringOptionalformat: "string"
An environment key to filter results to. When using this parameter, exactly one project key must also be set. Can be specified multiple times as separate query parameters to view data for multiple environments within a single project.
sdktypestringOptionalformat: "string"

An SDK type to filter results to. Can be specified multiple times, one query parameter per SDK type. Valid values: client, server

sdkstringOptionalformat: "string"
An SDK name to filter results to. Can be specified multiple times, one query parameter per SDK.
anonymousstringOptionalformat: "string"
If specified, filters results to either anonymous or nonanonymous users.
groupbystringOptionalformat: "string"

If specified, returns data for each distinct value of the given field. Can be specified multiple times to group data by multiple dimensions (for example, to group by both project and SDK). Valid values: project, environment, sdktype, sdk, anonymous, contextKind, sdkAppId

aggregationTypestringOptionalformat: "string"

If specified, queries for rolling 30-day, month-to-date, or daily incremental counts. Default is rolling 30-day. Valid values: rolling_30d, month_to_date, daily_incremental

contextKindstringOptionalformat: "string"
Filters results to the specified context kinds. Can be specified multiple times, one query parameter per context kind. If not set, queries for the user context kind.

Response

Usage response
_linksmap from strings to any
The location and content type of related resources
metadatalist of maps from strings to any
Metadata about each series
serieslist of maps from strings to integers

An array of data points with timestamps. Each element of the array is an object with a ‘time’ field, whose value is the timestamp, and one or more key fields. If there are multiple key fields, they are labeled ‘0’, ‘1’, and so on, and are explained in the metadata.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
429
Too Many Requests Error